Deluge 1.3.0

Munko O. Bazarzhapov vech2k на gmail.com
Сб Окт 30 14:10:24 BST 2010


Можно его куда нить допустим на pastebin.org
с почты много символов и строк корёжит

____
LLC Master-Byte
Munko O. Bazarzhapov
JabberID: vech на aginskoe.ru
ICQ:169245258
mail: vech2k на gmail.com



30 октября 2010 г. 20:14 пользователь Alex Emergy
<alex.emergy на gmail.com> написал:
> root на server:~# cat /etc/init.d/deluge-daemon
> #!/bin/sh
> ### BEGIN INIT INFO
> # Provides:          deluge-daemon
> # Required-Start:    $local_fs $remote_fs
> # Required-Stop:     $local_fs $remote_fs
> # Should-Start:      $network
> # Should-Stop:       $network
> # Default-Start:     2 3 4 5
> # Default-Stop:      0 1 6
> # Short-Description: Daemonized version of deluge and webui.
> # Description:       Starts the deluge daemon with the user specified in
> #                    /etc/default/deluge-daemon.
> ### END INIT INFO
>
> # Author: Adolfo R. Brandes
> # Modified: Sami Olmari
>
> PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
> DESC="Deluge Daemon"
> NAME1="deluged"
> NAME2="deluge-web"
> DAEMON1=/usr/bin/deluged
> DAEMON1_ARGS="-d -c /home/deluge/.config/deluge -l /var/log/deluged.log
> -L warning"
> DAEMON2=/usr/bin/deluge-web
> DAEMON2_ARGS="-p 8112 -c /home/deluge/.config/deluge -l
> /var/log/deluge-web.log -L warning"
> PIDFILE1=/var/run/$NAME1.pid
> PIDFILE2=/var/run/$NAME2.pid
> PKGNAME=deluge-daemon
> SCRIPTNAME=/etc/init.d/$PKGNAME
>
> # Exit if the package is not installed
> [ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0
>
> # Read configuration variable file if it is present
> [ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME
>
> # Load the VERBOSE setting and other rcS variables
> [ -f /etc/default/rcS ] && . /etc/default/rcS
>
> # Define LSB log_* functions.
> # Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
> . /lib/lsb/init-functions
>
> if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]
> then
>    log_warning_msg "Not starting $PKGNAME, edit /etc/default/$PKGNAME
> to start it."
>    exit 0
> fi
>
> if [ -z "$DELUGED_USER" ]
> then
>     log_warning_msg "Not starting $PKGNAME, DELUGED_USER not set in
> /etc/default/$PKGNAME."
>     exit 0
> fi
>
> #
> # Function that starts the daemon/service
> #
> do_start()
> {
>    # Return
>    #   0 if daemon has been started
>    #   1 if daemon was already running
>    #   2 if daemon could not be started
>    start-stop-daemon --start --background --quiet --pidfile $PIDFILE1
> --exec $DAEMON1 \
>       --chuid $DELUGED_USER --user $DELUGED_USER --test > /dev/null
>    RETVAL1="$?"
>    start-stop-daemon --start --background --quiet --pidfile $PIDFILE2
> --exec $DAEMON2 \
>       --chuid $DELUGED_USER --user $DELUGED_USER --test > /dev/null
>    RETVAL2="$?"
>    [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1
>
>    start-stop-daemon --start --background --quiet --pidfile $PIDFILE1
> --make-pidfile --exec $DAEMON1 \
>       --chuid $DELUGED_USER --user $DELUGED_USER -- $DAEMON1_ARGS
>    RETVAL1="$?"
>         sleep 2
>    start-stop-daemon --start --background --quiet --pidfile $PIDFILE2
> --make-pidfile --exec $DAEMON2 \
>       --chuid $DELUGED_USER --user $DELUGED_USER -- $DAEMON2_ARGS
>    RETVAL2="$?"
>    [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
> }
>
> #
> # Function that stops the daemon/service
> #
> do_stop()
> {
>    # Return
>    #   0 if daemon has been stopped
>    #   1 if daemon was already stopped
>    #   2 if daemon could not be stopped
>    #   other if a failure occurred
>
>    start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user
> $DELUGED_USER --pidfile $PIDFILE2
>    RETVAL2="$?"
>    start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user
> $DELUGED_USER --pidfile $PIDFILE1
>    RETVAL1="$?"
>    [ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2
>
>    rm -f $PIDFILE1 $PIDFILE2
>
>    [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
> }
>
> case "$1" in
>   start)
>    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME1"
>    do_start
>    case "$?" in
>       0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
>       2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
>    esac
>    ;;
>   stop)
>    [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME1"
>    do_stop
>    case "$?" in
>       0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
>       2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
>    esac
>    ;;
>   restart|force-reload)
>    log_daemon_msg "Restarting $DESC" "$NAME1"
>    do_stop
>    case "$?" in
>      0|1)
>       do_start
>       case "$?" in
>          0) log_end_msg 0 ;;
>          1) log_end_msg 1 ;; # Old process is still running
>          *) log_end_msg 1 ;; # Failed to start
>       esac
>       ;;
>      *)
>         # Failed to stop
>       log_end_msg 1
>       ;;
>    esac
>    ;;
>   *)
>    echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
>    exit 3
>    ;;
> esac
>
> :
> root на server:~# cat /etc/default/deluge-daemon
> # Configuration for /etc/init.d/deluge-daemon
>
> # The init.d script will only run if this variable non-empty.
> DELUGED_USER="deluge"
>
> # Should we run at startup?
> RUN_AT_STARTUP="YES"
>
> 30.10.2010 10:30, Munko O. Bazarzhapov пишет:
>> Вспомнил про Deluge
>> Конкретно интересует: скрипт автозапуска все то надо самим делать или
>> же из коробки теперь есть?
>> Web морда тоже в коробке есть?
>
> --
> С уважением,
> Alex Emergy
>
> --
> ubuntu-ru mailing list
> ubuntu-ru на lists.ubuntu.com
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-ru
>



Подробная информация о списке рассылки ubuntu-ru